//+------------------------------------------------------------------+
//|                                                      TEST_DZ.mq4 |
//|                                                                * |
//+------------------------------------------------------------------+
#property copyright "PapaYozh"
#property link      "*"

extern  int deadzone=10; //  

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
   Comment("");
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   string strComment;

   int sh;
   int fl; // fl = 1 - BUY_ENABLE, -1 - SELL_ENABLE
//   int deadzone=10; //  
   int shD=0;
   int CurD=0;
   double Hi,Lo;
   double Mdl,MdlH,MdlL;
   
   CurD = DayOfYear();
   for ( shD=1; CurD==TimeDayOfYear(Time[shD]); shD++ )
   {}
   
   sh = iHighest( NULL, 0, MODE_HIGH, shD, 0);
   Hi = iHigh( NULL, 0, sh );
   
   sh = iLowest( NULL, 0, MODE_LOW, shD, 0);
   Lo = iLow( NULL, 0, sh );
   
   Mdl = ( Hi + Lo ) / 2.0;
   MdlH = ( Hi + Mdl ) / 2.0;
   MdlL = ( Mdl + Lo ) / 2.0;
   if ( ( Bid > Hi - deadzone * Point )
        || ( ( Bid < Mdl + 0.5 * deadzone * Point ) && ( Bid > Mdl - 0.5 * deadzone * Point ) )
        || ( Bid < Lo + deadzone * Point )
      )
   {
      //    
      fl = 0;
   }
   else if ( ( Bid > MdlH ) || ( Bid < Mdl && Bid > MdlL ) )
   {
      //  BUY 
      fl = 1;
   }
   else if ( ( Bid < MdlL ) || ( Bid > Mdl && Bid < MdlH ) )
   {
      //  SELL 
      fl = -1;
   }

   strComment = StringConcatenate(" CurD=",CurD," shD=",shD);
   
   strComment = StringConcatenate(strComment,"\n"," Lo=",DoubleToStr(Lo,Digits)," Bid=",DoubleToStr(Bid,Digits)," Hi=",DoubleToStr(Hi,Digits));
   strComment = StringConcatenate(strComment,"\n"," MdlL=",DoubleToStr(MdlL,Digits)," Mdl=",DoubleToStr(Mdl,Digits)," MdlH=",DoubleToStr(MdlH,Digits));
   
   strComment = StringConcatenate(strComment,"\n");
   
   if ( fl == 1 )
      strComment = StringConcatenate(strComment,"\n","-    (BUY ENABLE) -");
   else if ( fl == -1 )
      strComment = StringConcatenate(strComment,"\n","-    (SELL ENABLE) -");
   else
      strComment = StringConcatenate(strComment,"\n","- ̸  -");
   
   Comment(strComment);
   
   return(0);
  }
//+------------------------------------------------------------------+